API: API Keys
Programmatic access credentials. All endpoints require authentication unless noted. 6 endpoints.
GET /api/apikeys
Section titled “GET /api/apikeys”List your API keys
Responses: 200 · 400 · 401
POST /api/apikeys
Section titled “POST /api/apikeys”Generate a new API key
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
name |
string | yes | |
scopes |
string | no | Comma-separated scopes (e.g. read,write) |
Responses: 201 · 400 · 401 · 409
DELETE /api/apikeys/{id}
Section titled “DELETE /api/apikeys/{id}”Delete an API key
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | yes |
Responses: 204 — No content · 401 · 404
POST /api/apikeys/{id}/deactivate
Section titled “POST /api/apikeys/{id}/deactivate”Deactivate an API key
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | yes |
Responses: 204 — No content · 401 · 404
POST /api/apikeys/{id}/reactivate
Section titled “POST /api/apikeys/{id}/reactivate”Reactivate an API key
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | yes |
Responses: 204 — No content · 401 · 404
POST /api/apikeys/bulk-delete
Section titled “POST /api/apikeys/bulk-delete”Delete multiple API keys in bulk
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
ids |
array of string | yes |
Responses: 200 · 400 · 401 · 404